### File

`src/radio/radio-change.class.ts`

### Description

Used to emit changes performed on a `Radio`.

### Index

###### Properties

- source
- value

### Constructor

`constructor(source: Radio, value: string)`
Defined in src/radio/radio-change.class.ts:14

Parameters :

Name | Type | Optional
source | `Radio` | No
value | `string` | No

### Properties

source
`source: `Radio | null``
Type : `Radio | null`
Defined in src/radio/radio-change.class.ts:10
Contains the `Radio` that has been changed.

value
`value: `string``
Type : `string`
Defined in src/radio/radio-change.class.ts:14
The value of the `Radio` encompassed in the `RadioChange` class.

    import { Radio } from "./radio.component";

    /**
     * Used to emit changes performed on a `Radio`.
     */
    export class RadioChange {
    	/**
    	 * Contains the `Radio` that has been changed.
    	 */
    	source: Radio | null;
    	/**
    	 * The value of the `Radio` encompassed in the `RadioChange` class.
    	 */
    	value: string;

    	constructor(source: Radio, value: string) {
    		this.source = source;
    		this.value = value;
    	}
    }

# result-matching ""

# No results matching ""